> ## Documentation Index
> Fetch the complete documentation index at: https://docs.envlink.projectinwork.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List artifacts

> Your organization's artifacts that haven't expired, newest first.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/artifacts
openapi: 3.1.0
info:
  title: envlink API
  version: 1.0.0
  description: >-
    Lease build environments, wire them to your sandbox, and keep snapshots and
    artifacts.
servers:
  - url: https://envlink-api.projectinwork.com
security:
  - bearerAuth: []
tags:
  - name: Environments
  - name: Templates
  - name: Sandboxes
  - name: Snapshots
  - name: Artifacts
  - name: Projects
  - name: Tokens
  - name: Usage
  - name: Account
paths:
  /v1/artifacts:
    get:
      tags:
        - Artifacts
      summary: List artifacts
      description: Your organization's artifacts that haven't expired, newest first.
      parameters:
        - name: project
          in: query
          schema:
            type: string
          description: Only this project's.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  artifacts:
                    type: array
                    items:
                      $ref: '#/components/schemas/Artifact'
components:
  schemas:
    Artifact:
      type: object
      properties:
        id:
          type: string
          examples:
            - art_oha7mmjakblbfm6q
        project:
          type: string
        name:
          type: string
        size:
          type: integer
        sha256:
          type: string
        contentType:
          type: string
        labels:
          type: object
          additionalProperties:
            type: string
        keyVersion:
          type: integer
        manifest:
          type: string
        segments:
          type: array
          items:
            $ref: '#/components/schemas/Segment'
        chunks:
          type: integer
        sealedBytes:
          type: integer
        createdBy:
          type: string
        created:
          type: string
          format: date-time
        expires:
          type: string
          format: date-time
    Segment:
      type: object
      properties:
        name:
          type: string
        size:
          type: integer
        objects:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A CLI token or an organization API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.